ALIASES=${TOOLKIT}/sh/custom/aliases.sh
VARS=${TOOLKIT}/sh/custom/vars.sh

alias grep='grep --color=auto'
alias fgrep='fgrep --color=auto'
alias egrep='egrep --color=auto'

alias ls='ls --color=auto --group-directories-first -N'
alias ll='ls -l'
alias la='ls -A'
alias lf='ls -F'
alias l.='ls -d .*'
alias lh='ls -lh'
alias lr='ls -R'
alias l='ls'

alias md='mkdir -p' 
alias rd='rm -rf'

alias q='exit'

alias upd-arch='paru -S archlinux-keyring && paru'
alias upd-ubt='sudo apt update -y && sudo apt upgrade -y'

if [[ "$OS" == "Arch Linux" ]]; then
    alias upd='upd-arch'
elif [[ $OS == *"Ubuntu"* ]]; then
    alias upd='upd-ubt'
else
    alias upd='echo Failed to detect distribution'
fi

alias reload='source ~/.zshrc'

alias aliases='cat $ALIASES'
alias vars='cat $VARS'

alias ealiases='_ vim $ALIASES'
alias evars='_ vim $VARS'

here() {
    grep -r "$@" .
}
